package com.cim.idm.mwmsextend.webservice.service;


import javax.xml.rpc.holders.StringHolder;
import java.io.Serializable;

public class SapWsdlResponseDto implements Serializable {

    /**
     * Internal KEY ID
     */
    private StringHolder EV_KID_INT = new StringHolder();

    /**
     * Message
     */
    private StringHolder  EV_MESSAGE = new StringHolder();

    /**
     * S:Successful E:Failed
     */
    private StringHolder  EV_MSGTYP = new StringHolder();

    /**
     * 返回详细信息
     */
    private StringHolder  EV_RESPONSE = new StringHolder();

    /**
     * SAP ROW ID
     * SAP传出的LOG表的GUID,对一个transation唯一码
     */
    private StringHolder  EV_ZROWID = new StringHolder();

    public StringHolder getEV_KID_INT() {
        return EV_KID_INT;
    }

    public void setEV_KID_INT(StringHolder EV_KID_INT) {
        this.EV_KID_INT = EV_KID_INT;
    }

    public StringHolder getEV_MESSAGE() {
        return EV_MESSAGE;
    }

    public void setEV_MESSAGE(StringHolder EV_MESSAGE) {
        this.EV_MESSAGE = EV_MESSAGE;
    }

    public StringHolder getEV_MSGTYP() {
        return EV_MSGTYP;
    }

    public void setEV_MSGTYP(StringHolder EV_MSGTYP) {
        this.EV_MSGTYP = EV_MSGTYP;
    }

    public StringHolder getEV_RESPONSE() {
        return EV_RESPONSE;
    }

    public void setEV_RESPONSE(StringHolder EV_RESPONSE) {
        this.EV_RESPONSE = EV_RESPONSE;
    }

    public StringHolder getEV_ZROWID() {
        return EV_ZROWID;
    }

    public void setEV_ZROWID(StringHolder EV_ZROWID) {
        this.EV_ZROWID = EV_ZROWID;
    }
}